summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xcheck.sh3
-rw-r--r--fuzz/meson.build6
2 files changed, 3 insertions, 6 deletions
diff --git a/check.sh b/check.sh
index 6e38b7b..3abe597 100755
--- a/check.sh
+++ b/check.sh
@@ -22,4 +22,5 @@ meson test -C ${build} || exit $?
rm -rf ${build}
-meson format --recursive --check-only || exit $?
+# hack to make sure we use the system meson, since meson format from git is broken
+/usr/bin/meson format --recursive --check-only || exit $?
diff --git a/fuzz/meson.build b/fuzz/meson.build
index d6809f6..c7652aa 100644
--- a/fuzz/meson.build
+++ b/fuzz/meson.build
@@ -35,10 +35,6 @@ fuzz_rs = static_library(
link_with: [gentoo_utils],
)
-fuzz = executable(
- 'fuzz',
- link_args: ['-fsanitize=fuzzer'],
- link_with: [fuzz_rs],
-)
+fuzz = executable('fuzz', link_args: ['-fsanitize=fuzzer'], link_with: [fuzz_rs])
test('fuzz', fuzz, args: [corpus_directory], depends: [corpus], timeout: 0)